Bug 1683825 - Lorax fails with 'NoneType' object is not callable after unmounting ISO
Summary: Lorax fails with 'NoneType' object is not callable after unmounting ISO
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 29
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-27 22:06 UTC by Hayden
Modified: 2019-03-16 19:17 UTC (History)
4 users (show)

Fixed In Version: lorax-29.27-1 lorax-29.27-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-28 20:44:19 UTC


Attachments (Terms of Use)
Screenshot of error (64.92 KB, image/jpeg)
2019-02-27 22:06 UTC, Hayden
no flags Details
livemedia.log (4.05 KB, text/plain)
2019-02-27 22:06 UTC, Hayden
no flags Details
program.log (2.07 KB, text/plain)
2019-02-27 22:06 UTC, Hayden
no flags Details
virt-install.log (350.39 KB, text/plain)
2019-02-27 22:07 UTC, Hayden
no flags Details

Description Hayden 2019-02-27 22:06:19 UTC
Created attachment 1539285 [details]
Screenshot of error

Description of problem:

Version-Release number of selected component (if applicable): lorax-29.26-1

How reproducible: Very.

Steps to Reproduce:

1. Install Fedora 29, upgrade to latest packages, and restart.

2. Install libvirt lorax virt-install libvirt-daemon-config-network libvirt-daemon-kvm libvirt-daemon-driver-qemu, $ dnf install libvirt lorax virt-install libvirt-daemon-config-network libvirt-daemon-kvm libvirt-daemon-driver-qemu

3. Restart libvirtd, $ systemctl restart libvirtd

4. Download a boot ISO, $ curl -o boot.iso https://centos.mirror.constant.com/7.6.1810/os/x86_64/images/boot.iso

5. Download a kickstart file, $ curl -o install.ks https://raw.githubusercontent.com/CentOS/sig-cloud-instance-build/master/docker/centos-7-x86_64.ks

6. $ livemedia-creator --make-tar --iso=boot.iso --image-name=install.tar.xz --ks=install.ks --releasever "7"

Actual results: Build fails with "'NoneType' object is not callable". Logs attached.

Expected results: install.tar.xz is generated.

Additional info:

The above workflow is used in our script here https://github.com/WhitewaterFoundry/WLE/blob/development/create-targz.sh.

Bug has also been reported here https://github.com/weldr/lorax/issues/614.

Temporary workaround is to re-install lorax-29.16-1.

Comment 1 Hayden 2019-02-27 22:06:36 UTC
Created attachment 1539286 [details]
livemedia.log

Comment 2 Hayden 2019-02-27 22:06:56 UTC
Created attachment 1539287 [details]
program.log

Comment 3 Hayden 2019-02-27 22:07:19 UTC
Created attachment 1539288 [details]
virt-install.log

Comment 4 Brian Lane 2019-02-28 17:44:58 UTC
Fixed by backporting https://github.com/weldr/lorax/pull/612

Comment 5 Fedora Update System 2019-02-28 19:18:50 UTC
lorax-29.27-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc14c9eb88

Comment 6 Hayden 2019-02-28 20:44:19 UTC
I manually installed and tested lorax-29.27-1.fc29 on our build server. I can confirm lorax-29.27-1.fc29 patches the bug as reported.

Thank you.

Comment 7 Fedora Update System 2019-03-01 03:36:02 UTC
lorax-29.27-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bc14c9eb88

Comment 8 Fedora Update System 2019-03-16 19:17:40 UTC
lorax-29.27-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.